Join the community today
Become a Member

Install Centmin Mod .07 beta 21 to stable status

Discussion in 'Beta release code' started by eva2000, May 30, 2014.

Thread Status:
Not open for further replies.
  1. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    • Like Like x 1
  2. rdan

    rdan Well-Known Member

    4,710
    1,134
    113
    May 25, 2014
    Ratings:
    +1,688
    Local Time:
    1:05 AM
    Mainline
    10.2
  3. rdan

    rdan Well-Known Member

    4,710
    1,134
    113
    May 25, 2014
    Ratings:
    +1,688
    Local Time:
    1:05 AM
    Mainline
    10.2
    First it says:
    So meaning nginx is already stop?
    But why on the next line still saying this?
     
  4. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    yeah 2 seconds wasn't long enough for you and it still detected nginx process but Nginx upgraded fine so is okay :)
     
  5. rdan

    rdan Well-Known Member

    4,710
    1,134
    113
    May 25, 2014
    Ratings:
    +1,688
    Local Time:
    1:05 AM
    Mainline
    10.2
    So what is your recommended Upgrade Sleep value?
    Right now I got "2" :)
    Thanks!
     
  6. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    You can leave it as is IF nginx starts for you properly.. the unique issue you specifically had was nginx not starting up after upgrade. So if it starts fine after upgrade, should be all good :)
     
    • Like Like x 1
  7. rdan

    rdan Well-Known Member

    4,710
    1,134
    113
    May 25, 2014
    Ratings:
    +1,688
    Local Time:
    1:05 AM
    Mainline
    10.2
  8. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    • Like Like x 1
  9. rdan

    rdan Well-Known Member

    4,710
    1,134
    113
    May 25, 2014
    Ratings:
    +1,688
    Local Time:
    1:05 AM
    Mainline
    10.2
    Yeah I trusted you :)
    You know what you're doing, I'm just a tester here :D
    Thanks always!
     
    • Like Like x 1
  10. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    • Like Like x 1
  11. rdan

    rdan Well-Known Member

    4,710
    1,134
    113
    May 25, 2014
    Ratings:
    +1,688
    Local Time:
    1:05 AM
    Mainline
    10.2
  12. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    command is same as what you tested on gist with minor change to suppress the nginx.pid not found message. Yeah 290514 dated zip has been updated too :)
     
  13. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    • Like Like x 2
  14. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    • Like Like x 1
  15. dorobo

    dorobo Active Member

    420
    104
    43
    Jun 6, 2014
    Ratings:
    +162
    Local Time:
    1:05 AM
    latest
    latest
    so we need to recompile nginx for the security fix to take effect? Yes?
     
  16. rdan

    rdan Well-Known Member

    4,710
    1,134
    113
    May 25, 2014
    Ratings:
    +1,688
    Local Time:
    1:05 AM
    Mainline
    10.2
    Just for ngx_pagespeed.
     
  17. dorobo

    dorobo Active Member

    420
    104
    43
    Jun 6, 2014
    Ratings:
    +162
    Local Time:
    1:05 AM
    latest
    latest
    so only those who are using ngx pagespeed?
     
  18. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    Yes if you use ngx_pagespeed and have enabled in pagespeed.conf FetchHttps option for https/SSL site usage. It isn't enabled by default in pagespeed.conf, so if you are not using it, it doesn't affect you. But recompiling Nginx via menu option 4 is all it takes after editing centmin.sh for the 2 variables

    Code:
    NGXPGSPEED_VER='1.8.31.4-beta'
    NGINX_PAGESPEEDPSOL_VER='1.8.31.4'
    or if you are doing fresh .07 beta 21 install it would already be set
     
    • Like Like x 1
  19. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
  20. eva2000

    eva2000 Administrator Staff Member

    42,001
    9,473
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,577
    Local Time:
    3:05 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    Added a local fall back mirror for APC Cache download file for .07 beta 21 and 290514 download zips https://community.centminmod.com/threads/update-apc-download-with-fall-back-local-mirror.530/ in light of official download site having a database error rendering the download invalid https://community.centminmod.com/threads/i-have-install-error-for-apc.529/

    Actual commit https://github.com/centminmod/centminmod/commit/fd7fc1ffec1d5ac063ef0a1e7e4f4e269201c4a5

    edit: just realised Zend Opcache (for PHP 5.3/5.4) and a few other downloads that use pecl.php.net would also fail too because of this! Need to figure that out too

    Code:
    PHPEXT_IMAGICKLINKFILE="imagick-${IMAGICKPHP_VER}.tgz"
    PHPEXT_IMAGICKLINK="http://pecl.php.net/get/${PHPEXT_IMAGICKLINKFILE}"
    PHPEXT_MEMCACHELINKFILE="memcache-${MEMCACHE_VERSION}.tgz"
    PHPEXT_MEMCACHELINK="http://pecl.php.net/get/${PHPEXT_MEMCACHELINKFILE}"
    PHPEXT_MEMCACHEDLINKFILE="memcached-${MEMCACHEDPHP_VER}.tgz"
    PHPEXT_MEMCACHEDLINK="http://pecl.php.net/get/${PHPEXT_MEMCACHEDLINKFILE}"
    
    ZENDOPCACHE_LINKFILE="zendopcache-${ZOPCACHECACHE_VERSION}.tgz"
    ZENDOPCACHE_LINK="http://pecl.php.net/get/${ZENDOPCACHE_LINKFILE}"
    in mean time I have local mirrors for them
    Need to setup a local mirror for Zend OpCache

    So would need to download them manually to /svr-setup before running menu commands if it's an upgrade task

    Code:
    cd /svr-setup
    rm -rf imagick* memcache* libmemcached* zendopcache*
    wget http://centminmod.com/centminmodparts/imagick/imagick-3.1.2.tgz
    wget http://centminmod.com/centminmodparts/memcached/memcache-3.0.8.tgz
    wget http://centminmod.com/centminmodparts/memcached/libmemcached-1.0.18.tar.gz
    wget http://centminmod.com/centminmodparts/memcached/memcached-1.4.20.tar.gz
    wget http://centminmod.com/centminmodparts/memcached/memcached-2.2.0.tgz
    wget http://centminmod.com/centminmodparts/zendopcache/zendopcache-7.0.3.tgz
    
     
    Last edited: Jun 21, 2014
    • Like Like x 1
Thread Status:
Not open for further replies.